# Deleting a Virtual Interface

#### Function

This API is used to delete a virtual interface.

#### URI

DELETE /v2.0/dcaas/virtual-interfaces/{virtual_interface_id}

Table 1 Parameter description
Parameter | Type | Mandatory | Description
--- | --- | --- | ---
virtual_interface_id | String | Yes | Indicates the virtual interface ID.

#### Request

Table 2 lists the request parameter.

Table 2 Request parameter
Parameter | Type | Mandatory | Description
--- | --- | --- | ---
virtual_interface_id | String | Yes | Indicates the virtual interface ID.

#### Response

None

#### Examples

- Example request

    DELETE /v2.0/dcaas/virtual-interfaces/{virtual_interface_id}

- Response example

  None

#### Returned Value

For details, see section Common Returned Values.

Parent topic: Virtual Interface